%define tarball xf86-video-wayland
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%global gitdate 20131003

Summary:   Xorg X11 wayland video driver
Name:      xorg-x11-drv-wayland
Version:   0
Release:   0.1%{?gitdate:.%{gitdate}}%{dist}
URL:       http://www.x.org
License:   MIT
Group:     User Interface/X Hardware Support

%if 0%{?gitdate}
Source0:    %{tarball}-%{gitdate}.tar.bz2
Source1:    make-git-snapshot.sh
Source2:    commitid
%else
Source0:   http://x.org/pub/individual/driver/%{tarball}-%{version}.tar.bz2
%endif

BuildRequires: autoconf automake libtool
BuildRequires: xorg-x11-server-devel
BuildRequires: pkgconfig(wayland-client)

Requires: Xorg %(xserver-sdk-abi-requires ansic)
Requires: Xorg %(xserver-sdk-abi-requires videodrv)

%description 
X.Org X11 wayland video driver.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{!?gitdate:%{version}}

%build
autoreconf -v --install || exit 1
%configure --disable-static --disable-dri
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/wayland_drv.so

%changelog
* Thu Oct 03 2013 Adam Jackson <ajax@redhat.com> 0-0.1git20131003
- Initial build


